﻿Imports System.ComponentModel

Public Class NavigatingExEventArgs
  Inherits CancelEventArgs

  Private m_Url As String
  Private m_Frame As String
  Private m_Postdata() As Byte
  Private m_Headers As String

  Public ReadOnly Property Url() As String
    Get
      Return m_Url
    End Get
  End Property

  Public ReadOnly Property Frame() As String
    Get
      Return m_Frame
    End Get
  End Property

  Public ReadOnly Property Headers() As String
    Get
      Return m_Headers
    End Get
  End Property

  Public ReadOnly Property Postdata() As String
    Get
      Return PostdataToString(m_Postdata)
    End Get
  End Property

  Public ReadOnly Property PostdataByte() As Byte()
    Get
      Return m_Postdata
    End Get
  End Property

  Public Sub New(ByVal url As String, ByVal frame As String, ByVal postdata As Byte(), ByVal headers As String)
    m_Url = url
    m_Frame = frame
    m_Postdata = postdata
    m_Headers = headers
  End Sub

  Private Function PostdataToString(ByVal p() As Byte) As String
    'not sexy but it works...
    Dim tabpd() As Byte, bstop As Boolean = False, stmp As String = "", i As Integer = 0
    tabpd = p
    If tabpd Is Nothing OrElse tabpd.Length = 0 Then
      Return ""
    Else
      For i = 0 To tabpd.Length - 1
        stmp += ChrW(tabpd(i))
      Next
      stmp = Replace(stmp, ChrW(13), "")
      stmp = Replace(stmp, ChrW(10), "")
      stmp = Replace(stmp, ChrW(0), "")
    End If
    If stmp = Nothing Then
      Return ""
    Else
      Return stmp
    End If
  End Function

End Class
