﻿Imports System.ComponentModel

Public Class NewWindowExEventArgs
  Inherits CancelEventArgs

  Private m_Url As String
  Private m_UrlContext As String
  Private m_Flags As NWMF

  Public ReadOnly Property Url() As String
    Get
      Return m_Url
    End Get
  End Property

  Public ReadOnly Property UrlContext() As String
    Get
      Return m_UrlContext
    End Get
  End Property

  Public ReadOnly Property Flags() As NWMF
    Get
      Return m_Flags
    End Get
  End Property

  Public Sub New(ByVal url As String, ByVal urlcontext As String, ByVal flags As NWMF)
    m_Url = url
    m_UrlContext = urlcontext
    m_Flags = flags
  End Sub
End Class
